SchemaAnnotation (xmlbeans API)

org.apache.xmlbeans

## Interface SchemaAnnotation

- All Superinterfaces:
    SchemaComponent
  All Known Implementing Classes:
    SchemaAnnotationImpl

      public interface SchemaAnnotation
      extends SchemaComponent

  Represents a Schema annotation.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `SchemaAnnotation.Attribute` Represents an attribute instance

    - ### Nested classes/interfaces inherited from interface org.apache.xmlbeans.SchemaComponent

      `SchemaComponent.Ref`

  - ### Field Summary

    - ### Fields inherited from interface org.apache.xmlbeans.SchemaComponent

      `ANNOTATION, ATTRIBUTE, ATTRIBUTE_GROUP, ELEMENT, IDENTITY_CONSTRAINT, MODEL_GROUP, NOTATION, TYPE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `XmlObject[]` | `getApplicationInformation()` Retrieves all application information items from this annotation
    `SchemaAnnotation.Attribute[]` | `getAttributes()` Retrieves all attributes that are is a namespace other than http://www.w3.org/2001/XMLSchema from the annotation element and from the enclosing Schema component
    `XmlObject[]` | `getUserInformation()` Retrieves all document information items from this annotation

    - ### Methods inherited from interface org.apache.xmlbeans.SchemaComponent

      `getComponentRef, getComponentType, getName, getSourceName, getTypeSystem`

- - ### Method Detail

    - #### getApplicationInformation

          XmlObject[] getApplicationInformation()

      Retrieves all application information items from this annotation

    - #### getUserInformation

          XmlObject[] getUserInformation()

      Retrieves all document information items from this annotation

    - #### getAttributes

          SchemaAnnotation.Attribute[] getAttributes()

      Retrieves all attributes that are is a namespace other than http://www.w3.org/2001/XMLSchema from the annotation element and from the enclosing Schema component